Subject: Re: [PATCH net-next v5 1/4] net: ethtool: Introduce per-PHY DUMP operations

From: Jakub Kicinski <[email-masked]>
Date: Fri, 11 Apr 2025 18:52:38 -0700

On Fri, 11 Apr 2025 09:26:19 +0200 Maxime Chevallier wrote:
> > Transient warnings here that the new functions are not used :(
> > Would it work to squash the 3rd and 4th patches in?
> > Not ideal but better than having a warning.  
> 
> ah damn yes indeed... meh sorry about that, I'll squash the other
> patches in (except for the net/ethtool/phy.c patch). That said are you
> more comfortable with this approach ? I was unsure this was what you
> were expecting from the previous iteration.

I'm not sure if I did expect anything in particular after the idea I had
proved to not be feasible :) This looks good at a quick look.